Loading...
Searching...
No Matches
RDKit::MolStandardize::FeaturesValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::FeaturesValidation:

## Public Member Functions

| FeaturesValidation (bool allowEnhancedStereo=false, bool allowAromaticBondType=false, bool allowDativeBondType=false, bool allowQueries=false, bool allowDummies=false, bool allowAtomAliases=false)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Public Attributes

bool | allowEnhancedStereo
bool | allowAromaticBondType
bool | allowDativeBondType
bool | allowQueries
bool | allowDummies
bool | allowAtomAliases

## Detailed Description

The FeaturesValidation class reports an error if the input molecule representation includes any undesired features.

Definition at line 225 of file Validate.h.

## Constructor & Destructor Documentation

## FeaturesValidation()

RDKit::MolStandardize::FeaturesValidation::FeaturesValidation | ( | bool | allowEnhancedStereo = `false`,
|  | bool | allowAromaticBondType = `false`,
|  | bool | allowDativeBondType = `false`,
|  | bool | allowQueries = `false`,
|  | bool | allowDummies = `false`,
|  | bool | allowAtomAliases = `false`
| ) |  |

inline

Definition at line 227 of file Validate.h.

## Member Function Documentation

## copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::FeaturesValidation::copy | ( |  | ) | const

inline override virtual

Implements RDKit::MolStandardize::ValidationMethod.

Definition at line 240 of file Validate.h.

## validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::FeaturesValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures
| ) |  | const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

## Member Data Documentation

## allowAromaticBondType

bool RDKit::MolStandardize::FeaturesValidation::allowAromaticBondType

Definition at line 244 of file Validate.h.

## allowAtomAliases

bool RDKit::MolStandardize::FeaturesValidation::allowAtomAliases

Definition at line 248 of file Validate.h.

## allowDativeBondType

bool RDKit::MolStandardize::FeaturesValidation::allowDativeBondType

Definition at line 245 of file Validate.h.

## allowDummies

bool RDKit::MolStandardize::FeaturesValidation::allowDummies

Definition at line 247 of file Validate.h.

## allowEnhancedStereo

bool RDKit::MolStandardize::FeaturesValidation::allowEnhancedStereo

Definition at line 243 of file Validate.h.

## allowQueries

bool RDKit::MolStandardize::FeaturesValidation::allowQueries

Definition at line 246 of file Validate.h.

The documentation for this class was generated from the following file:

- Validate.h